petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSFCreateFromZero

Create a PetscSF that maps a Vec from sequential to distributed

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSFCreateFromZero(MPI_Comm comm, Vec gv, PetscSF *sf)

### Input Parameters

gv -A distributed Vec

### Output Parameters

sf -The SF created mapping a sequential Vec to gv

### See Also

DMPlexDistributedToSequential()

### Level

developer

### Location

src/vec/vec/utils/vecmpitoseq.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages